最新消息:学到老,活到老。知无涯,生有涯。

让关关采集器支持杰奇1.6(1.7)版本

技术资源 小陈 2203浏览 0评论

目前大家使用的关关采集器,大多是5.0(0211)版本,本身是不支持杰奇最新的1.6版(1.7版)的。当然,如果你有最新版的关关采集器,已经支持杰奇1.6版本(1.7),你完全可以跳过这篇文章。

0211版本的关关采集器,之所以不支持杰奇1.6(1.7),原因是杰奇1.6(1.7)版本中的配置文件有所改变,某些原有的配置项被去掉了,导致和关关采集器的设置不一致,所以我们只要加上缺少的配置项目就可以简单解决这个问题。

打开杰奇安装目录下的 conifg/article/configs.php 文件。

在最后的 ?> 符号前,加上如下代码:

$jieqiConfigs['article']['hidereviewwords'] = '';
$jieqiConfigs['article']['minreviewtime'] = '10';
$jieqiConfigs['article']['checkreviewrubbish'] = '1';
$jieqiConfigs['article']['txtfile'] = '.txt';
$jieqiConfigs['article']['opffile'] = '.opf';
$jieqiConfigs['article']['makerss'] = '0';
$jieqiConfigs['article']['rssdir'] = 'xml';
$jieqiConfigs['article']['rssurl'] = '';
$jieqiConfigs['article']['rssfile'] = '.xml';
$jieqiConfigs['article']['zipfile'] = '.zip';
$jieqiConfigs['article']['txtfullfile'] = '.txt';
$jieqiConfigs['article']['umdfile'] = '.umd';
$jieqiConfigs['article']['jarfile'] = '.jar';
$jieqiConfigs['article']['fakefile'] = '.html';
$jieqiConfigs['article']['fakeprefix'] = '';

手工修改增加这些配置项目,请选择在你已经设置好杰奇的小说模块后进行。否则每次通过杰奇后台修改小说模块的设置,会自动修改configs这个文件,所以最好就是把上面的保存到一个记事本里面,你需要再次添加上面的代码。否则关关采集器运行中会出现读取小说配置的错误

转载请注明:卧龙居 » 让关关采集器支持杰奇1.6(1.7)版本

您必须 登录 才能发表评论!